%define version	2.3.0
%define tarver	230

Name:		gabedit
Summary:	GUI for computational chemistry
Version:	%{version}
Release:	1%{?dist}
Source0:	http://downloads.sourceforge.net/sourceforge/gabedit/GabeditSrc%{tarver}.tar.gz
Patch2:		%{name}-csh.patch
URL:		http://gabedit.sourceforge.net/home.html
License:	MIT
Group:		Applications/Engineering
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildRequires:	desktop-file-utils
BuildRequires:	gl2ps-devel >= 1.3.5
BuildRequires:	gtk2-devel
BuildRequires:	gtkglarea2-devel
BuildRequires:	libGLU-devel
BuildRequires:	libjpeg-devel

%description
Gabedit is a Graphical User Interface to Gamess-US, Gaussian, Molcas,
Molpro and MPQC computational chemistry packages. Gabedit includes
graphical facilities for generating keywords and options, molecule
specifications and their input sections for even the most advanced
calculation types. Gabedit includes an advanced Molecule Builder. You
can use it to rapidly sketch in molecules and examine them in three
dimensions. You can build molecules by atom, ring, group, amino acid and
nucleoside. You can also read geometry from a file. Most major molecular
file formats are supported.

%prep
%setup -q -n GabeditSrc%{tarver}
%patch2 -p1
# remove Win32-specific files
%{__rm} -r utils/InnosSetupScriptWin32
echo "external_gtkglarea=1" >> CONFIG
echo "external_gl2ps=1" >> CONFIG

find utils -type f | xargs chmod -x

%build
%{__make} %{?_smp_mflags} COMMONCFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}

install -d %{buildroot}/%{_bindir}
install -pm755 %{name} %{buildroot}/%{_bindir}

install -d %{buildroot}%{_datadir}/applications
desktop-file-install --vendor=fedora \
	--dir=%{buildroot}%{_datadir}/applications \
	utils/Others/gabedit.desktop

for size in 16 32 48 ; do
	install -d %{buildroot}/%{_datadir}/icons/hicolor/${size}x${size}/apps
	install -pm644 icons/Gabedit$size.png %{buildroot}/%{_datadir}/icons/hicolor/${size}x${size}/apps/%{name}.png
done

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%files
%defattr(-,root,root)
%doc ChangeLog License utils
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png

%changelog
* Mon Aug 23 2010 Dominik Mierzejewski <rpm@greysector.net> 2.3.0-1
- updated to latest stable version (2.3.0)

* Wed Jun 30 2010 Dominik Mierzejewski <rpm@greysector.net> 2.2.6-2
- rebuild against latest gl2ps

* Mon May 24 2010 Dominik Mierzejewski <rpm@greysector.net> 2.2.6-1
- updated to latest stable version (2.2.6)
- fixed spurious-executable-perm rpmlint warning

* Fri Aug 21 2009 Dominik Mierzejewski <rpm@greysector.net> 2.2.4-1
- updated to latest version (2.2.4)
- shortened the description field
- desktop file has been upstreamed

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Dominik Mierzejewski <rpm@greysector.net> 2.1.17-1
- updated to latest development version (2.1.17)
- dropped obsolete patches
- use new icon cache scriptlets

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 25 2008 Dominik Mierzejewski <rpm@greysector.net> 2.1.8-1
- updated to latest stable version (2.1.8)
- fixed build with gtk2-2.14
- use system gl2ps

* Fri Jun 13 2008 Dominik Mierzejewski <rpm@greysector.net> 2.1.7-1
- updated to latest development version (2.1.7)
- dropped obsolete patches

* Mon May 19 2008 Dominik Mierzejewski <rpm@greysector.net> 2.1.4-2
- standardized SourceForge source URL
- made _smp_flags usage optional
- don't install bundled pre-built binaries
- don't install Win32-specific files
- use proper csh path in a script in utils

* Mon Apr 28 2008 Dominik Mierzejewski <rpm@greysector.net> 2.1.4-1
- adapted Mandriva specfile
- updated to 2.1.4
- patched to use system gtkglarea
